<template>
    <div style="margin: 0; width: 100%">
      <head-two title="Page inexistante"/>
      <div style="margin: 0; height: 65px"></div>
      <div class="page-wrap bg-fake-white centered">
          <div class="poster">
              <img src="https://res.cloudinary.com/deccpjpzw/image/upload/v1655561122/midorya/mido/lost_desktop_aoviok_knx6cm.webp" class="hideMob covered">
              <img src="https://res.cloudinary.com/deccpjpzw/image/upload/v1655561141/midorya/mido/lost_mobile_cxjin3_ehtz9n.webp" class="mobOnly covered">
              <div class="slogan centered">
                  <div class="cont">
                      <p class="text2 centered centered-txt txt-secondary">404</p>
                      <p class="text1 centered centered-txt txt-full-white">Vous chercher votre chemin?</p>
                  </div>
              </div>
          </div>
      </div>
    </div>
</template>

<script setup lang="ts">
import HeadTwo from '../components/HeadTwo.vue';
</script>

<style scoped>
img {
  width: 100%;
  height: 100%;
}
.poster {
    margin: 0;
    height: calc(100vh - 65px);
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    justify-items: center;
    position: relative;
}
.slogan {
  width: 100%;
  height: 100%;
  position: absolute;
  background: rgba(3, 0, 27, 0.356);
}
    .page-wrap {
        margin: 0;
        height: calc(100vh - 65px);
    }
    .cont {
    width: 90%;
  }
.text1 {
  margin: 0;
  padding: 10px;
  font-weight: bolder;
  font-size: 40px;
}
.text2 {
  margin: 0;
  padding: 10px;
  font-weight: bolder;
  font-size: 40px;
}

@media (min-width: 769px) {
    img {
        border-radius: 10px;
    }
    .poster {
    margin: 0;
    height: 80%;
    width: 80%;
    border-radius: 10px;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    justify-items: center;
    position: relative;
    box-shadow: 3px 3px 8px #030303b7;
}
.slogan {
    border-radius: 10px;
}
  .cont {
    width: 60%;
  }
    .text1 {
      margin: 0;
      font-size: 80px;
    }
    .text2 {
      margin: 0;
      font-size: 120px;
    }
}
</style>